weka.core.pmml.jaxbbindings

## Class CompoundRule

- java.lang.Object
- - weka.core.pmml.jaxbbindings.CompoundRule

-     public class CompoundRule
      extends java.lang.Object

  Java class for CompoundRule element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="CompoundRule">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <group ref="{http://www.dmg.org/PMML-4_1}PREDICATE"/>
                 <group ref="{http://www.dmg.org/PMML-4_1}Rule" maxOccurs="unbounded"/>
               </sequence>
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompoundRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompoundPredicate` | `getCompoundPredicate()` Gets the value of the compoundPredicate property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `False` | `getFalse()` Gets the value of the false property.
    `java.util.List<java.lang.Object>` | `getRule()` Gets the value of the rule property.
    `SimplePredicate` | `getSimplePredicate()` Gets the value of the simplePredicate property.
    `SimpleSetPredicate` | `getSimpleSetPredicate()` Gets the value of the simpleSetPredicate property.
    `True` | `getTrue()` Gets the value of the true property.
    `void` | `setCompoundPredicate(CompoundPredicate value)` Sets the value of the compoundPredicate property.
    `void` | `setFalse(False value)` Sets the value of the false property.
    `void` | `setSimplePredicate(SimplePredicate value)` Sets the value of the simplePredicate property.
    `void` | `setSimpleSetPredicate(SimpleSetPredicate value)` Sets the value of the simpleSetPredicate property.
    `void` | `setTrue(True value)` Sets the value of the true property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundRule

          public CompoundRule()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getSimplePredicate

          public SimplePredicate getSimplePredicate()

      Gets the value of the simplePredicate property.
      Returns:
        possible object is `SimplePredicate`

    - #### setSimplePredicate

          public void setSimplePredicate(SimplePredicate value)

      Sets the value of the simplePredicate property.
      Parameters:
        `value` - allowed object is `SimplePredicate`

    - #### getCompoundPredicate

          public CompoundPredicate getCompoundPredicate()

      Gets the value of the compoundPredicate property.
      Returns:
        possible object is `CompoundPredicate`

    - #### setCompoundPredicate

          public void setCompoundPredicate(CompoundPredicate value)

      Sets the value of the compoundPredicate property.
      Parameters:
        `value` - allowed object is `CompoundPredicate`

    - #### getSimpleSetPredicate

          public SimpleSetPredicate getSimpleSetPredicate()

      Gets the value of the simpleSetPredicate property.
      Returns:
        possible object is `SimpleSetPredicate`

    - #### setSimpleSetPredicate

          public void setSimpleSetPredicate(SimpleSetPredicate value)

      Sets the value of the simpleSetPredicate property.
      Parameters:
        `value` - allowed object is `SimpleSetPredicate`

    - #### getTrue

          public True getTrue()

      Gets the value of the true property.
      Returns:
        possible object is `True`

    - #### setTrue

          public void setTrue(True value)

      Sets the value of the true property.
      Parameters:
        `value` - allowed object is `True`

    - #### getFalse

          public False getFalse()

      Gets the value of the false property.
      Returns:
        possible object is `False`

    - #### setFalse

          public void setFalse(False value)

      Sets the value of the false property.
      Parameters:
        `value` - allowed object is `False`

    - #### getRule

          public java.util.List<java.lang.Object> getRule()

      Gets the value of the rule property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rule property.

      For example, to add a new item, do as follows:

              getRule().add(newItem);

      Objects of the following type(s) are allowed in the list `CompoundRule` `SimpleRule`